@incollection{wright_MPC_2019,
	author={Stephen J. Wright},
	editor={Saša V. Raković and William S. Levine},
	title={Efficient Convex Optimization for Linear MPC},
	booktitle={Handbook of Model Predictive Control},
	publisher={Birkhäuser}, 
	year=2019,
	isbn={978-3-319-77489-3}
}

@ARTICLE{hwang_potential_1992,
  author={Y. K. {Hwang} and N. {Ahuja}},
  journal={IEEE Transactions on Robotics and Automation}, 
  title={A potential field approach to path planning}, 
  year={1992},
  volume={8},
  number={1},
  pages={23-32}
}

@article{giselsson_accelgrad_2013,
	title = "Accelerated gradient methods and dual decomposition in distributed model predictive control",
	journal = "Automatica",
	volume = "49",
	number = "3",
	pages = "829 - 833",
	year = "2013",
	issn = "0005-1098",
	doi = "10.1016/j.automatica.2013.01.009",
	author = "Pontus Giselsson and Minh Dang Doan and Tamás Keviczky and Bart De Schutter and Anders Rantzer",
	keywords = "Distributed control, Gradient methods, Predictive control"
}

@manual{control_system_toolbox,
	title={Control System Toolbox Reference},
	organization={MathWorks},
	year={2020},
	url={https://www.mathworks.com/help/pdf_doc/control/control_ref.pdf}
}

@book{boyd_algebra_2018,
	address = {Cambridge, UK ; New York, NY},
	edition = {1st edition},
	title = {Introduction to {Applied} {Linear} {Algebra}: {Vectors}, {Matrices}, and {Least} {Squares}},
	isbn = {978-1-316-51896-0},
	shorttitle = {Introduction to {Applied} {Linear} {Algebra}},
	abstract = {This groundbreaking textbook combines straightforward explanations with a wealth of practical examples to offer an innovative approach to teaching linear algebra. Requiring no prior knowledge of the subject, it covers the aspects of linear algebra - vectors, matrices, and least squares - that are needed for engineering applications, discussing examples across data science, machine learning and artificial intelligence, signal and image processing, tomography, navigation, control, and finance. The numerous practical exercises throughout allow students to test their understanding and translate their knowledge into solving real-world problems, with lecture slides, additional computational exercises in Julia and MATLAB®, and data sets accompanying the book online. Suitable for both one-semester and one-quarter courses, as well as self-study, this self-contained text provides beginning students with the foundation they need to progress to more advanced study.},
	language = {English},
	publisher = {Cambridge University Press},
	author = {Boyd, Stephen and Vandenberghe, Lieven},
	month = Aug,
	year = {2018}
}

@book{franklin_digital_1998,
	address = {1200 Pilarcitos Ave., Half Moon Bay, CA},
	title = {Digital Control of Dynamic Systems},
	edition = {3rd edition},
	isbn = {978-0-9791226-0-6},
	language = {en},
	publisher = {Ellis-Kagle Press},
	author = {Gene F. Franklin and J. David Powell and Michael L. Workman},
	year = {1998}
}

@ARTICLE{kailath_innovations_1968, 
	author={T. {Kailath}}, 
	journal={IEEE Transactions on Automatic Control}, 
	title={An innovations approach to least-squares estimation--Part I: Linear filtering in additive white noise}, 
	year={1968}, 
	volume={13}, 
	number={6}, 
	pages={646-655}
}

@INPROCEEDINGS{collision_avoidance, 
	author={D. V. {Dimarogonas} and K. J. {Kyriakopoulos}}, 
	booktitle={Proceedings of the 45th IEEE Conference on Decision and Control}, 
	title={Distributed cooperative control and collision avoidance for multiple kinematic agents}, 
	year={2006}, 
	volume={}, 
	number={}, 
	pages={721-726}
}

@article{bachelor_thesis,
	author = {Matouš, Josef},
	title = {Manipulation of objects on a surface of a liquid using an array of ultrasonic transducers},
	school = {Czech Technical University in Prague},
	journal = {Bachelor thesis},
	url = {http://hdl.handle.net/10467/76751},
	year = {2018}
}

@article{IFAC_conference,
    title = "Optimization-based Feedback Manipulation Through an Array of Ultrasonic Transducers",
    journal = "IFAC-PapersOnLine",
    volume = "52",
    number = "15",
    pages = "483 - 488",
    year = "2019",
    note = "8th IFAC Symposium on Mechatronic Systems MECHATRONICS 2019",
    issn = "2405-8963",
    doi = "10.1016/j.ifacol.2019.11.722",
    author = "Josef Matouš and Adam Kollarčík and Martin Gurtner and Tomáš Michálek and Zdeněk Hurák"
}

@MISC{NLS,
    author = "K. Madsen and {H. B.} Nielsen and O. Tingleff",
    title = "Methods for Non-Linear Least Squares Problems (2nd ed.)",
    year = "2004",
    pages = "60",
    publisher = "Informatics and Mathematical Modelling, Technical University of Denmark, {DTU}",
    address = "Richard Petersens Plads, Building 321, {DK-}2800 Kgs. Lyngby",
    url = "http://www2.imm.dtu.dk/pubdb/views/edoc_download.php/3215/pdf/imm3215.pdf"
}

@article{poli_particle_2007,
	title = {Particle swarm optimization},
	volume = {1},
	issn = {1935-3820},
	doi = {10.1007/s11721-007-0002-0},
	abstract = {Particle swarm optimization (PSO) has undergone many changes since its introduction in 1995. As researchers have learned about the technique, they have derived new versions, developed new applications, and published theoretical studies of the effects of the various parameters and aspects of the algorithm. This paper comprises a snapshot of particle swarming from the authors’ perspective, including variations in the algorithm, current and ongoing research, applications and open problems.},
	language = {en},
	number = {1},
	urldate = {2020-05-13},
	journal = {Swarm Intelligence},
	author = {Poli, Riccardo and Kennedy, James and Blackwell, Tim},
	month = jun,
	year = {2007},
	pages = {33--57},
}

@article{zemanek_thesis_2018,
	author = {Zemánek, Jiří},
	title = {Distributed manipulation by controlling force fields through arrays of actuators},
	school = {Czech Technical University in Prague},
	journal = {Ph.D. thesis},
	year = {2018}
}

@conference {zemanek_magman_2017,
	title = {Time-optimal Control for Bilinear Nonnegative-in-control Systems: Application to Magnetic Manipulation},
	booktitle = {20th IFAC World Congress},
	volume = {50},
	year = {2017},
	month = {07/2017},
	pages = {16032 - 16039},
	address = {Toulouse, France},
	issn = {24058963},
	doi = {10.1016/j.ifacol.2017.08.1916},
	author = {Jiří Zemánek and Sergej Čelikovský and Zdeněk Hurák}
}

@article {zemanek_dielecrophoresis_2015,
	title = {Feedback control for noise-aided parallel micromanipulation of several particles using dielectrophoresis},
	journal = {Electrophoresis},
	volume = {36},
	year = {2015},
	month = {July},
	pages = {1451-1458},
	abstract = {<p>The paper describes a novel control strategy for simultaneous manipulation of several micro-scale particles over a planar micro-electrode array using dielectrophoresis (DEP). The approach is based on a combination of numerical nonlinear optimization, which gives a systematic computational procedure for finding the voltages applied to the individual electrodes, and exploitation of the intrinsic noise, which compensates for the loss of controllability when two identical particles are exposed to identical forces. Although interesting on its own, the proposed functionality can also be seen as a preliminary achievement in a quest for a technique for separation of two particles. The approach is tested experimentally with polystyrene beads (50 microns in diameter) immersed in deionized water on a flat microelectrode array with parallel electrodes. A digital camera and a computer vision algorithm are used to measure the positions. Two distinguishing features of the proposed control strategy are that the range of motion is not limited to inter-electrode gaps and that independent manipulation of several particles simultaneously is feasible even on a simple micro-electrode array.</p>
},
	doi = {10.1002/elps.201400521},
	author = {Zemánek, Jiří and Michálek, Tomáš and Hurák, Zdeněk}
}

@book{kinsler_fundamentals_2000,
	edition = {4th Edition},
	title = {Fundamentals of acoustics},
	publisher = {Wiley},
	author = {Kinsler, Lawrence E. and Frey, Austin R. and Coppens, Alan B. and Sanders, James V.},
	year = {2000},
}

@article{marzo_holographic_2015,
	title = {Holographic acoustic elements for manipulation of levitated objects},
	volume = {6},
	pages = {8661},
	journal = {Nature Communications},
	author = {Marzo, Asier and Seah, Sue Ann and Drinkwater, Bruce W. and Sahoo, Deepak Ranjan and Long, Benjamin and Subramanian, Sriram},
	year = {2015}
}

@inproceedings{marzo_ghost_2015,
	title = {Ghost Touch: Turning Surfaces into Interactive Tangible Canvases with Focused Ultrasound},
	series = {{ITS} '15},
	pages = {137--140},
	booktitle = {Proceedings of the 2015 International Conference on Interactive Tabletops \& Surfaces},
	publisher = {{ACM}},
	author = {Marzo, Asier and {McGeehan}, Richard and {McIntosh}, Jess and Seah, Sue Ann and Subramanian, Sriram},
	year = {2015}
}

@article{marzo_holographic_2019,
	title = {Holographic acoustic tweezers},
	volume = {116},
	number = {1},
	journal = {Proceedings of the National Academy of Sciences},
	author = {Marzo, Asier and Drinkwater, Bruce W.},
	year = {2019},
	pages = {84--89}
}

@article{beasley_high-performance_2019,
	title = {High-{Performance} {Ultrasonic} {Levitation} with {FPGA}-based {Phased} {Arrays}},
	journal = {arXiv:1901.07317},
	author = {Beasley, William and Gatusch, Brenda and Connolly-Taylor, Daniel and Teng, Chenyuan and Marzo, Asier and Nunez-Yanez, Jose},
	year = {2019}
}

@inproceedings{marshall_ultra-tangibles:_2012,
	title = {Ultra-tangibles: creating movable tangible objects on interactive tables},
	shorttitle = {Ultra-tangibles},
	publisher = {ACM Press},
	author = {Marshall, Mark and Carter, Thomas and Alexander, Jason and Subramanian, Sriram},
	year = {2012},
	pages = {2185}
}

@article{zemanek_phase-shift_2018,
	title = {Phase-shift feedback control for dielectrophoretic micromanipulation},
	volume = {18},
	pages = {1793--1801},
	number = {12},
	journal = {Lab on a Chip},
	author = {Zemánek, Jiří and Michálek, Tomáš and Hurák, Zdeněk},
	year = {2018}
}

@article{courtney_dexterous_2013,
	title = {Dexterous manipulation of microparticles using Bessel-function acoustic pressure fields},
	volume = {102},
	pages = {123508},
	number = {12},
	journal = {Applied Physics Letters},
	shortjournal = {Appl. Phys. Lett.},
	author = {Courtney, Charles R. P. and Drinkwater, Bruce W. and Demore, Christine E. M. and Cochran, Sandy and Grinenko, Alon and Wilcox, Paul D.},
	year = {2013}
}

@article{long_rendering_2014,
	title = {Rendering Volumetric Haptic Shapes in Mid-air Using Ultrasound},
	volume = {33},
	abstract = {We present a method for creating three-dimensional haptic shapes in mid-air using focused ultrasound. This approach applies the principles of acoustic radiation force, whereby the non-linear effects of sound produce forces on the skin which are strong enough to generate tactile sensations. This mid-air haptic feedback eliminates the need for any attachment of actuators or contact with physical devices. The user perceives a discernible haptic shape when the corresponding acoustic interference pattern is generated above a precisely controlled two-dimensional phased array of ultrasound transducers. In this paper, we outline our algorithm for controlling the volumetric distribution of the acoustic radiation force field in the form of a three-dimensional shape. We demonstrate how we create this acoustic radiation force field and how we interact with it. We then describe our implementation of the system and provide evidence from both visual and technical evaluations of its ability to render different shapes. We conclude with a subjective user evaluation to examine users' performance for different shapes.},
	pages = {181:1--181:10},
	number = {6},
	journal = {{ACM} Trans. Graph.},
	author = {Long, Benjamin and Seah, Sue Ann and Carter, Tom and Subramanian, Sriram},
	keywords = {3D haptic shapes, acoustic radiation forces, tactile displays},
	year = {2014}
}

@article{courtney_independent_2014,
	title = {Independent trapping and manipulation of microparticles using dexterous acoustic tweezers},
	volume = {104},
	pages = {154103},
	number = {15},
	journal = {Applied Physics Letters},
	author = {Courtney, Charles {RP} and Demore, Christine {EM} and Wu, Hongxiao and Grinenko, Alon and Wilcox, Paul D. and Cochran, Sandy and Drinkwater, Bruce W.},
	year = {2014}
}

@article{Ochiai2014Pixie,
	author = {Ochiai, Yoichi and Hoshi, Takayuki and Rekimoto, Jun},
	journal = {ACM Transactions on Graphics (TOG)},
	number = 4,
	pages = 85,
	shorttitle = {Pixie dust},
	title = {Pixie dust: graphics generated by levitated and animated objects in computational acoustic-potential field},
	volume = 33,
	year = 2014
}

@article{andrade_review_2017,
	title = {Review of {Progress} in {Acoustic} {Levitation}},
	issn = {0103-9733, 1678-4448},
	doi = {10.1007/s13538-017-0552-6},
	language = {en},
	journal = {Brazilian Journal of Physics},
	author = {Andrade, Marco A. B. and Pérez, Nicolás and Adamowski, Julio C.},
	month = dec,
	year = {2017},
	pages = {1--24}
}
